<div class="back-top">
  <a class="back-top--link" href="#nav-skip" accesskey="t" aria-label="Retour en haut de page">
    <span class="back-top--link-label">
      {% block back-top-label %}
        Retour
      {% endblock %}
    </span>
  </a>
</div>

{% block back-top-script %}
<script>
  var back_top_scrollY;
  $(function(){
    var back_top_link = document.querySelector('.back-top--link');
    var is_fixed = getComputedStyle(back_top_link, null).getPropertyValue("position") === "fixed";
    if (is_fixed) {
      back_top_link.classList.add('back-top-scrollY');
      back_top_scroll_Y = new ComboScrollY({
        limit: {% block back-top-scrollY-limit %}200{% endblock %},
        below: function(){
          {% block back-top-scrollY-below-callback %}
          back_top_link.classList.add('below-scroll-limit');
          back_top_link.classList.remove('above-scroll-limit');
          {% endblock %}
        },
        above: function(){
          {% block back-top-scrollY-above-callback %}
          back_top_link.classList.add('above-scroll-limit');
          back_top_link.classList.remove('below-scroll-limit');
          {% endblock %}
        }
      });
    }
  });
</script>
{% endblock %}